Bid Package Stats
GET
bid-package-stats/{bidPackageId}
Retrieves a statistical summary of a specific bid package. The summary includes metrics such as the number of bidders invited, bids submitted, and bidders who have viewed the package.
Resource Information
| Method and URI | GET https://developer.api.autodesk.com/construction/buildingconnected/v2/bid-package-stats/{bidPackageId} |
| Authentication Context | User context required |
| Required OAuth Scopes | data:read |
| Data Format | JSON |
Request
Headers
| Authorization* string | Must be Bearer <token>, where <token> is a three-legged access token obtained via an Authorization Code flow. |
* Required
Request
URI Parameters
| bidPackageId string | The unique ID of a bid package. |
Response
HTTP Status Code Summary
| 200 OK | OK |
| 400 Bad Request | The parameters of the requested operation are invalid. |
| 401 Unauthorized | The provided bearer token is not valid. |
| 403 Forbidden | The user or service represented by the bearer token does not have permission to perform this operation. |
| 404 Not Found | The requested resource could not be found. |
| 429 Too Many Requests | Rate limit exceeded; wait some time before retrying. The ‘Retry-After’ header might provide the amount of the time to wait. |
| 500 Internal Server Error | An unknown error occurred on the server. |
Response
Body Structure (200)
| bidPackageId string | The unique ID of the bid package that the statistical summary is for.
Max length: 24 |
| invitedCount number | The number of companies invited to bid on this bid package. |
| viewedCount number | The number of companies that have viewed this invite in BuildingConnected. |
| undecidedCount number | The number of companies that did not finalize a decision on this bid package. |
| notBiddingCount number | The number of companies that is not planning to bid on this bid package. |
| biddingCount number | The number of companies that plan to bid on this bid package. |
| submittedBiddersCount number | The number of companies that submitted bids to a bid package. |
Example
OK
Request
curl -v 'https://developer.api.autodesk.com/construction/buildingconnected/v2/bid-package-stats/:bidPackageId' \
-H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
Response
{
"bidPackageId": "590dd127b359f408f190b5a7",
"invitedCount": 30,
"viewedCount": 20,
"undecidedCount": 5,
"notBiddingCount": 10,
"biddingCount": 5,
"submittedBiddersCount": 3
}
Show More